MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002111ardourfeaturespublic2008-03-02 21:552012-01-29 12:34
Reporterseablade 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product VersionSVN/2.0-ongoing 
Target Version3.XFixed in Version 
Summary0002111: Import Sessions
DescriptionOk I only put this under SVN-2.0 only because SVN-3.0 wasn't availiable and this seems like a rather large feature to put in to 2.0

I recently did a bunch of projects in Final Cut Express as well as Ardour. One thing I came to realise in Final Cut Express is the ability to load in a session like a file is extremely useful. It would likely be a bit more difficult to implement well in Ardour due to a much more flexible routing(Especially if/when we get a good multichannel panner in), however the basic concept is sound.

Pretty much in Final Cut (Express or Pro, don't know about Logic) a sequence is the equivalent of our timeline/editor window. Except not only can you import audiofiles to the tracks(I don't believe they have an equivalent of our playlists) you can also import other sequences. This combined with the ability to be working on multiple sequences simultaneously in different tabs becomes very effective as a way to break up sessions into small chunks, and bring those smaller chunks together into a larger session for mastering etc.

This would come in handy for situations like, I was not to long ago working on a CD release for a client, and originally it was going to be 13 tracks, and I started laying out my recordings of a live show to match that, then they decided they only wanted to go with 5 tracks on this CD instead. As things stand now, I can either...

1. Go through and realign everything to a 5 track session, including all automation data that would have to be redone essentially from the ground up.
2. Bounce everything down, and then in a seperate session(Or the same, it was just easier to deal with in a seperate) cut and paste that bounced track together into the correct order for mastering.

I ended up doing the latter, but now lets picture this working with being able to import sessions into timelines as a single file.

Instead of laying out the workflow originally as a 13 track session, I could do 13 individual tracks, that I could concentrate on getting all automation during the songs perfect. I could then, import those 13 sessions into a new session, and one region would contain the equivalent of all automation, plugins, etc. of that original session. I could reorder those as desired, layer more sounds on top(Audience tracks for instance) and master all in the overall session. Then when the client decides to only release 5 tracks, I can re-order the track/sessions instead of having to reorder everything by hand.

I suck at explaining and I probably did a rotten job of it, but I encourage if anyone has it availiable to take a look at it and see what I am talking about. It would be complex to implement certainly, but well worth it in terms of flexibility of editing experience I believe.

     Seablade

To give a random example, for the DVD I did in FCE, I could edit together certain segments in their own sequences, import those sequences into a new sequencee overall, add chapter markers and transitions between chapters, and export all of that. Cutting sections was a peice of cake as I could just trim the region some.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005519)
johne53 (reporter)
2008-12-14 10:04

It sounds like you're asking for something like a "session merge" feature. If so, I've had the basics of this working since the beginning of this year. The functionality is all in place but for various reasons I never got around to writing a GUI. It's been on the back burner for the past 6 months but I mught revisit this after Christmas.
(0005647)
seablade (manager)
2009-01-27 17:55

Depends on how the session merge gets implemented yes. The thing with the way Apple does it in Final Cut is that it is not destructive in any way, literally you have a region that points back to the session you want to embed. You can trim or lengthen that region just like you would a standard region in Ardour, and drag it anywhere on the timeline, apply automation that would essentially be the equivalent of automation on the master bus, etc.

      Seablade
(0005673)
johne53 (reporter)
2009-01-28 04:39

Do you mean that you have one region for each region in the embedded session - or one region representing the entire embedded session? My version is more like the former. It uses two simple criteria to decide whether or not each playlist can be merged. If two playlists (one in each session) have the same name and the same number of channels, their region data gets merged (i.e. the target session ends up with both lots of region data). This is most useful for splitting a project into two halves with one person working on Part 1 while another person works on Part 2 (as in a TV programme). OTOH if the playlists can't be merged in the above way (e.g. they all have unique names) a new playlist gets appended to the target session for each playlist in the session to be embedded. This would be useful for (say) adding a vocal track to an existing music session, where the vocal had been recorded elsewhere. I don't merge any automation data at present - just sources and regions

- Issue History
Date Modified Username Field Change
2008-03-02 21:55 seablade New Issue
2008-12-14 10:04 johne53 Note Added: 0005519
2009-01-27 17:55 seablade Note Added: 0005647
2009-01-27 18:16 seablade Status new => acknowledged
2009-01-28 04:39 johne53 Note Added: 0005673
2012-01-29 12:34 cth103 cost => 0.00
2012-01-29 12:34 cth103 Target Version => 3.X


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker